Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi
Class POIDocument

    java.lang.Object
      org.apache.poi.POIDocument

Direct Known Subclasses:
  HSSFWorkbook

    public abstract class POIDocument

extends java.lang.Object

This holds the common functionality for all POI Document classes. Currently, this relates to Document Information Properties

Author:
  Nick Burch

Method Summary
`void` | `createInformationProperties()` Will create whichever of SummaryInformation and DocumentSummaryInformation (HPSF) properties are not already part of your document.
`DocumentSummaryInformation` | `getDocumentSummaryInformation()` Fetch the Document Summary Information of the document
`SummaryInformation` | `getSummaryInformation()` Fetch the Summary Information of the document
`abstract void` | `write(java.io.OutputStream out)` Writes the document out to the specified output stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDocumentSummaryInformation

    public DocumentSummaryInformation getDocumentSummaryInformation()

  Fetch the Document Summary Information of the document

### getSummaryInformation

    public SummaryInformation getSummaryInformation()

  Fetch the Summary Information of the document

### createInformationProperties

    public void createInformationProperties()

  Will create whichever of SummaryInformation and DocumentSummaryInformation (HPSF) properties are not already part of your document. This is normally useful when creating a new document from scratch. If the information properties are already there, then nothing will happen.

### write

    public abstract void write(java.io.OutputStream out)
                        throws java.io.IOException

  Writes the document out to the specified output stream

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD